Package com.xebialabs.deployit.plugin.api.udm.artifact

## Class EmbeddedDeployedArtifact<D extends EmbeddedDeployableArtifact,​C extends EmbeddedDeployedContainer>

- java.lang.Object
- - com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
  - - com.xebialabs.deployit.plugin.api.udm.base.BaseEmbeddedDeployed<D,​C>
    - - com.xebialabs.deployit.plugin.api.udm.artifact.EmbeddedDeployedArtifact<D,​C>

- All Implemented Interfaces:
    `Artifact`, `DerivedArtifact<D>`, `ConfigurationItem`, `EmbeddedDeployed<D,​C>`, `EmbeddedDeployedContainer<D,​C>`, `java.io.Serializable`, `java.lang.Comparable<BaseConfigurationItem>`
  Direct Known Subclasses:
    `BaseAppliedProvisionerArtifact`

      @Metadata(virtual=true,
                inspectable=false,
                root=NESTED)
      public class EmbeddedDeployedArtifact<D extends EmbeddedDeployableArtifact,​C extends EmbeddedDeployedContainer>
      extends BaseEmbeddedDeployed<D,​C>
      implements DerivedArtifact<D>

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `id, syntheticProperties, type`

    - ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

      `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

    - ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.EmbeddedDeployedContainer

      `CONTAINER_FIELD, DEPLOYABLE_FIELD`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EmbeddedDeployedArtifact()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `com.xebialabs.overthere.OverthereFile` | `getFile()` |
    `java.util.Map<java.lang.String,​java.lang.String>` | `getPlaceholders()` |
    `D` | `getSourceArtifact()` |
    `void` | `setFile​(com.xebialabs.overthere.OverthereFile file)` |
    `void` | `setPlaceholders​(java.util.Map<java.lang.String,​java.lang.String> placeholders)` |

    - ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseEmbeddedDeployed

      `getContainer, getDeployable, setContainer, setDeployable`

    - ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

      `get$directoryReference, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$validationMessages, getId, getName, getProperty, getType, hasProperty, setId, setProperty`

- - ### Constructor Detail

    - #### EmbeddedDeployedArtifact

          public EmbeddedDeployedArtifact()

  - ### Method Detail

    - #### getFile

          public com.xebialabs.overthere.OverthereFile getFile()

      Specified by:
        `getFile` in interface `Artifact`
      Returns:
        A representation of a file that can be access through an Overthere connection.

    - #### setFile

          public void setFile​(com.xebialabs.overthere.OverthereFile file)

      Specified by:
        `setFile` in interface `Artifact`
      Parameters:
        `file` - A representation of a file that can be access through an Overthere connection.

    - #### getPlaceholders

          public java.util.Map<java.lang.String,​java.lang.String> getPlaceholders()

      Specified by:
        `getPlaceholders` in interface `DerivedArtifact<D extends EmbeddedDeployableArtifact>`

    - #### setPlaceholders

          public void setPlaceholders​(java.util.Map<java.lang.String,​java.lang.String> placeholders)

      Specified by:
        `setPlaceholders` in interface `DerivedArtifact<D extends EmbeddedDeployableArtifact>`

    - #### getSourceArtifact

          public D getSourceArtifact()

      Specified by:
        `getSourceArtifact` in interface `DerivedArtifact<D extends EmbeddedDeployableArtifact>`